I want to test Flatpak on elementary OS. Since it is built on top of Ubuntu 16.04, it should be possible to install flatpack. Like in flatpack installing guide.

sudo apt install flatpak

It doesn't work.

So how to install Flatpak on Loki?

up vote 5 down vote accepted

You're in the right track on installation of Flatpak on Elementary as indicated on their guide. You might not be aware of it, but add-apt-repository is disabled by default on Elementary (to avoid reckless installation of PPAs). Workaround for that situation have been posted multiple times on this site.

Basically, you can enable it via:

sudo apt-get install software-properties-common

After that, you can proceed to the usual Flatpak installation steps.

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.